/*
 * MosP - Mind Open Source Project    http://www.mosp.jp/
 * Copyright (C) MIND Co., Ltd.       http://www.e-mind.co.jp/
 * 
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU General Public License
 * as published by the Free Software Foundation; either version 2
 * of the License, or (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
 */
package jp.mosp.mospcommon.system.dto;

import jp.mosp.common.common.BaseDto;

/**
 * CM_LIMIT_STANDARD(限度基準マスタ)のDTOクラス。
 */
public class CmLimitStandardDto extends BaseDto {
	
	/**
	 * 
	 */
	private static final long	serialVersionUID	= -2068019072118421348L;
	// フィールド
	private String				limitcode			= "";
	private String				limitname			= "";
	private String				termtype			= "";
	private int					prescribedtime		= 0;
	private int					cautionday			= 0;
	private int					cautionterm			= 0;
	private int					cautionyear			= 0;
	private int					limitday			= 0;
	private int					limitterm			= 0;
	private int					limityear			= 0;
	private int					rateterm			= 0;
	private int					rateyear			= 0;
	private int					deleteflag			= 0;
	

	/**
	 * コンストラクタ。
	 */
	public CmLimitStandardDto() {
		super();
	}
	
	// アクセサメソッド
	/**
	 * @return limitcode 	限度基準コード。
	 */
	public String getLimitCode() {
		return limitcode;
	}
	
	/**
	 * @return limitname 	限度基準名称。
	 */
	public String getLimitName() {
		return limitname;
	}
	
	/**
	 * @return termtype 	期間の種類。
	 */
	public String getTermType() {
		return termtype;
	}
	
	/**
	 * @return prescribedtime 	所定労働時間。
	 */
	public int getPrescribedTime() {
		return prescribedtime;
	}
	
	/**
	 * @return cautionday 	1日の警告時間。
	 */
	public int getCautionDay() {
		return cautionday;
	}
	
	/**
	 * @return cautionterm 	指定期間の警告時間。
	 */
	public int getCautionTerm() {
		return cautionterm;
	}
	
	/**
	 * @return cautionyear 	1年の警告時間。
	 */
	public int getCautionYear() {
		return cautionyear;
	}
	
	/**
	 * @return limitday 	一日の限度時間。
	 */
	public int getLimitDay() {
		return limitday;
	}
	
	/**
	 * @return limitterm 	指定期間の限度時間。
	 */
	public int getLimitTerm() {
		return limitterm;
	}
	
	/**
	 * @return limityear 	1年の限度時間。
	 */
	public int getLimitYear() {
		return limityear;
	}
	
	/**
	 * @return rateterm 	指定期間の割増率。
	 */
	public int getRateTerm() {
		return rateterm;
	}
	
	/**
	 * @return rateyear 	1年の割増率。
	 */
	public int getRateYear() {
		return rateyear;
	}
	
	/**
	 * @return deleteflag 	削除フラグ。
	 */
	public int getDeleteFlag() {
		return deleteflag;
	}
	
	/**
	 * @param limitcode 	セットする限度基準コード。
	 */
	public void setLimitCode(String limitcode) {
		this.limitcode = limitcode;
	}
	
	/**
	 * @param limitname 	セットする限度基準名称。
	 */
	public void setLimitName(String limitname) {
		this.limitname = limitname;
	}
	
	/**
	 * @param termtype 	セットする期間の種類。
	 */
	public void setTermType(String termtype) {
		this.termtype = termtype;
	}
	
	/**
	 * @param prescribedtime 	セットする所定労働時間。
	 */
	public void setPrescribedTime(int prescribedtime) {
		this.prescribedtime = prescribedtime;
	}
	
	/**
	 * @param cautionday 	セットする1日の警告時間。
	 */
	public void setCautionDay(int cautionday) {
		this.cautionday = cautionday;
	}
	
	/**
	 * @param cautionterm 	セットする指定期間の警告時間。
	 */
	public void setCautionTerm(int cautionterm) {
		this.cautionterm = cautionterm;
	}
	
	/**
	 * @param cautionyear 	セットする1年の警告時間。
	 */
	public void setCautionYear(int cautionyear) {
		this.cautionyear = cautionyear;
	}
	
	/**
	 * @param limitday 	セットする一日の限度時間。
	 */
	public void setLimitDay(int limitday) {
		this.limitday = limitday;
	}
	
	/**
	 * @param limitterm 	セットする指定期間の限度時間。
	 */
	public void setLimitTerm(int limitterm) {
		this.limitterm = limitterm;
	}
	
	/**
	 * @param limityear 	セットする1年の限度時間。
	 */
	public void setLimitYear(int limityear) {
		this.limityear = limityear;
	}
	
	/**
	 * @param rateterm 	セットする指定期間の割増率。
	 */
	public void setRateTerm(int rateterm) {
		this.rateterm = rateterm;
	}
	
	/**
	 * @param rateyear 	セットする1年の割増率。
	 */
	public void setRateYear(int rateyear) {
		this.rateyear = rateyear;
	}
	
	/**
	 * @param deleteflag 	セットする削除フラグ。
	 */
	public void setDeleteFlag(int deleteflag) {
		this.deleteflag = deleteflag;
	}
	
}
